Skip to main content
GET
Recent Darkpool Trades

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:100

How many items to return. Default: 100. Max: 200. Min: 1.

Required range: 1 <= x <= 200
Example:

10

date
string

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example:

"2024-01-18T00:00:00.000Z"

min_premium
integer
default:0

The minimum premium requested trades should have.

Required range: x >= 0
Example:

50000

max_premium
integer

The maximum premium requested trades should have.

Example:

150000

min_size
integer
default:0

The minimum size requested trades should have. Must be a positive integer.

Required range: x >= 0
Example:

50000

max_size
integer

The maximum size requested trades should have. Must be a positive integer.

Example:

150000

min_volume
integer
default:0

The minimum consolidated volume requested trades should have. Must be a positive integer.

Required range: x >= 0
Example:

50000

max_volume
integer

The maximum consolidated volume requested trades should have. Must be a positive integer.

Example:

150000

order
enum<string>
default:desc

Whether to sort descending or ascending. Descending by default.

Available options:
desc,
asc
Example:

"asc"

cancellation_status
enum<string>
default:all

Filter trades by cancellation status. all includes every trade, cancelled_only includes only cancelled trades, and hide_cancelled excludes cancelled trades while retaining trades with an unset cancellation flag. Defaults to all.

Available options:
all,
cancelled_only,
hide_cancelled
Example:

"hide_cancelled"

order_by
enum<string>
default:executed_at

The field to order the darkpool trades by. Defaults to executed_at.

Available options:
executed_at,
trf_executed_at,
premium,
size,
volume
Example:

"premium"

Response

A darkpool trade.

canceled
boolean

Whether the trade has been cancelled.

Example:

true

executed_at
string<date-time>

The trade execution time as an ISO 8601 UTC timestamp.

Example:

"2023-02-16T00:59:44.000Z"

ext_hour_sold_codes
enum<string>

The code describing why the trade happened outside of regular market hours. Null if none applies.

Available options:
sold_out_of_sequence,
extended_hours_trade_late_or_out_of_sequence,
extended_hours_trade
Example:

"sold_out_of_sequence"

market_center
string

The market center code.

Example:

"L"

nbbo_ask
any
nbbo_ask_quantity
any
nbbo_bid
any
nbbo_bid_quantity
any
premium
string

The total option premium.

Example:

"27723806.00"

price
string

The price of the trade.

Example:

"18.9904"

sale_cond_codes
enum<string>

The sale condition code. Null if none applies.

Available options:
contingent_trade,
odd_lot_execution,
prior_reference_price,
average_price_trade
Example:

"contingent_trade"

size
integer

The size of the transaction.

Example:

6400

ticker
string

The stock ticker.

Example:

"AAPL"

tracking_id
integer

The tracking ID of the trade.

Example:

71984388012245

trade_code
enum<string>

The trade code. Null if none applies.

Available options:
derivative_priced,
qualified_contingent_trade,
intermarket_sweep
Example:

"derivative_priced"

trade_settlement
enum<string>

The kind of trade settlement.

Available options:
cash,
next_day,
seller,
regular
Example:

"cash_settlement"

trf_executed_at
string<date-time> | null

The ISO 8601 UTC timestamp when the trade was reported to the tape by a Trade Reporting Facility. Only available for trades from 2025-05-01 onwards. It is null for any trade before that date.

Example:

"2025-05-02T13:42:11.000Z"

volume
integer

The volume of the ticker for the trading day.

Example:

23132119

Last modified on September 29, 2026